local Tablet = AceLibrary("Tablet-2.0")

FuBar_EasyDKPFu = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceDB-2.0", "FuBarPlugin-2.0", "AceConsole-2.0"); 

FuBar_EasyDKPFu.cannotDetachTooltip = true 
FuBar_EasyDKPFu.hasNoColor = true 
FuBar_EasyDKPFu.clickableTooltip = false 
FuBar_EasyDKPFu.cannotAttachToMinimap = true; 
FuBar_EasyDKPFu.hasIcon = "Interface\\AddOns\\FuBar_EasyDKPFu\\FuBar_EasyDKPFu.tga" 
FuBar_EasyDKPFu.title = "EasyDKP" 

-- default settings
FuBar_EasyDKPFu:RegisterDB("FuBar_EasyDKPFuDB"); 

FuBar_EasyDKPFu:RegisterDefaults("account", {
	enabled = true,
	mode = "party",
	debug = false,
	min_quality = 3,
	max_quality = 6,
})

function FuBar_EasyDKPFu:OnInitialize() 
	
end

function FuBar_EasyDKPFu:OnEnable() 
--~ 	if(self.db.account.enabled == true) then
--~ 	    EasyDKP:ExecuteCommand(TEXT("on"));
--~ 	end	      
--~ 	if(self.db.account.mode == "party") then
--~ 	    EasyDKP:ExecuteCommand(TEXT("party"));
--~ 	else
--~ 	    EasyDKP:ExecuteCommand(TEXT("raid"));
--~ 	end	      
end

function FuBar_EasyDKPFu:OnClick(button)
	if (button == "LeftButton") then
	    EasyDKP:ShowOptionsFrame();
	end
end

function FuBar_EasyDKPFu:OnTextUpdate() 
	self:SetText("Badges");
end

function FuBar_EasyDKPFu:OnTooltipUpdate() 
	local cat = Tablet:AddCategory('columns', 1, 'text');
	tooltiptext = EasyDKP:ReturnStatus(nil);
	cat:AddLine('text', tooltiptext);
end 
